production insights
Get production insights topicId
Requires scopes: traces:read
GET
/
api
/
production-insights
/
topics
/
{topicId}
Get production insights topicId
curl --request GET \
--url https://evalgate.com/api/production-insights/topics/{topicId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/production-insights/topics/{topicId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/production-insights/topics/{topicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentVersion": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicId": "<string>",
"versionNumber": 123,
"name": "<string>",
"description": "<string>",
"severity": "<string>",
"definition": {
"classifierVersion": "<string>",
"fingerprint": "<string>",
"category": "<string>",
"signalHashes": [
"<string>"
],
"minConfidence": 123,
"sourceVersion": "<string>",
"mergedFrom": [
"<string>"
],
"splitFrom": "<string>"
},
"state": "<string>",
"proposalSource": "<string>",
"modelCallId": "<string>",
"contentHash": "<string>",
"basedOnVersion": 123,
"proposedBy": "<string>",
"decidedBy": "<string>",
"decisionReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"decidedAt": "2023-11-07T05:31:56Z"
},
"versions": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicId": "<string>",
"versionNumber": 123,
"name": "<string>",
"description": "<string>",
"severity": "<string>",
"definition": {
"classifierVersion": "<string>",
"fingerprint": "<string>",
"category": "<string>",
"signalHashes": [
"<string>"
],
"minConfidence": 123,
"sourceVersion": "<string>",
"mergedFrom": [
"<string>"
],
"splitFrom": "<string>"
},
"state": "<string>",
"proposalSource": "<string>",
"modelCallId": "<string>",
"contentHash": "<string>",
"basedOnVersion": 123,
"proposedBy": "<string>",
"decidedBy": "<string>",
"decisionReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"decidedAt": "2023-11-07T05:31:56Z"
}
],
"memberships": [
{
"membership": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicId": "<string>",
"topicVersionId": "<string>",
"failureReportId": 123,
"traceId": 123,
"alertId": 123,
"confidence": 123,
"assignmentSource": "<string>",
"modelCallId": "<string>",
"membershipKey": "<string>",
"evidence": {
"failureReportId": 123,
"traceId": 123,
"groupHash": "<string>",
"category": "<string>",
"severity": "<string>",
"detectedBy": [
"<string>"
],
"reportConfidence": 123,
"evidenceHash": "<string>",
"redactionState": "redacted",
"occurrenceCount": 123,
"modelCallId": "<string>",
"sourceMembershipIds": [
"<string>"
]
},
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"removedAt": "2023-11-07T05:31:56Z",
"removedByDecisionId": "<string>"
},
"traceName": "<string>",
"traceKey": "<string>",
"traceCreatedAt": "2023-11-07T05:31:56Z"
}
],
"snapshots": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicId": "<string>",
"topicVersionId": "<string>",
"bucketStart": "2023-11-07T05:31:56Z",
"bucketGranularity": "<string>",
"metrics": {
"traceCount": 123,
"reportCount": 123,
"affectedUsers": 123,
"affectedWorkflows": 123,
"totalCostUsd": "<string>",
"knownCostRecords": 123,
"modelCounts": {},
"promptVersionCounts": {},
"deploymentVersionCounts": {},
"candidateCount": 123,
"goldenCoverageCount": 123,
"reviewCount": 123
},
"continuityState": "<string>",
"evidenceCutoffAt": "2023-11-07T05:31:56Z",
"computedAt": "2023-11-07T05:31:56Z"
}
],
"decisions": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicId": "<string>",
"topicVersionId": "<string>",
"action": "<string>",
"actorId": "<string>",
"expectedVersion": 123,
"beforeState": {},
"afterState": {},
"rationale": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"links": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topicId": "<string>",
"actionId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"membershipId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"trend": {
"currentCount": 123,
"previousCount": 123,
"changePercent": 123,
"direction": "flat",
"continuity": "continuous"
},
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fingerprint": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"severity": "<string>",
"cohortKinds": [
"<string>"
],
"confidence": 123,
"currentVersionNumber": 123,
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"continuityStartedAt": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"createdBy": "<string>",
"suppressedAt": "2023-11-07T05:31:56Z",
"suppressionReason": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get production insights topicId
